2015-06-17 1 views
7

Aptana Studio mi dà errori di sintassi per gli usi di function* e yield nel codice JavaScript.Aptana supporta ES6?

Queste sono le caratteristiche ES6. È possibile configurare Aptana per accettarli?

+0

A chi ha votato per chiudere questo come "troppo ampio": puoi spiegare perché? Mi sembra molto specifico ... – HighCommander4

+0

È tornato e ho up-votato quindi dovresti essere sicuro dalla cancellazione ora (se continua ad avere un punteggio non negativo ovviamente) –

risposta

2

No, Aptana non supporta ES6 (né JSX) e non sono disponibili plug-in per supportarlo.

Aptana è compatibile con tutti Eclipse plugins. Il plug-in "Enide Studio 2015" è contrassegnato con ES6, il che non è corretto perché, per quanto posso dire, l'unica cosa che abilita un sottoinsieme della parola chiave const. Nient'altro.

Per installare il plug-in (che non ti aiuta), visita la pagina del plug-in, quindi trascina il pulsante "Installa" nell'editor Aptana.

+0

Grazie. Conosci un altro IDE (preferibilmente, ma non necessariamente, basato su Eclipse) con il supporto ES6? – HighCommander4

+0

Webstorm è senza dubbio il miglior IDE per la modifica di Javascript. Esiste una prova gratuita di 30 giorni e dopo la scadenza puoi usarla solo per 1 ora alla volta. Se puoi permetterlo (o far pagare la tua azienda), ne vale la pena. –

+0

Non dubito che il prodotto di JetBrains sia di prim'ordine. Speravo in qualcosa di gratuito e open-source, però. Dato che ci sono numerosi IDE open source di alta qualità per altri linguaggi come Java, sono sorpreso che non ce n'è uno per il Javascript moderno. – HighCommander4